> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update expense (fields format of expense record)

> Do you want to update an expense using the fields endpoint structure, use this endpoint.



## OpenAPI

````yaml openapi/findity-expense-api.json PUT /expenses/{expenseId}?format=fields
openapi: 3.0.3
info:
  title: Findity Expense API
  description: Findity Expense API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/expense
  - url: https://api.findity.com/api/v1/expense
security:
  - bearerAuth: []
paths:
  /expenses/{expenseId}?format=fields:
    put:
      tags:
        - Expenses
      summary: Update expense (fields format of expense record)
      description: >-
        Do you want to update an expense using the fields endpoint structure,
        use this endpoint.
      operationId: updateExpenseUsingFieldsFormat
      parameters:
        - $ref: '#/components/parameters/expenseId'
        - $ref: '#/components/parameters/formatFields'
        - $ref: '#/components/parameters/forceSave'
        - in: query
          name: organizationId
          description: The id of the organization
          schema:
            $ref: '#/components/schemas/Uuid'
        - in: query
          name: expenseType
          description: The expense type of the expense
          schema:
            type: string
            enum:
              - CarSpecification
              - FoodBenefitsSpecification
              - ReceiptVerification
              - SubsistenceAllowance
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FieldsResponse'
            examples:
              Receipt verification:
                value:
                  fields:
                    - name: Id
                      property: id
                      controlType: TEXT
                      mandatory: false
                      visible: false
                      value: 99601cd0f6ba438cb16ca17b8edf25a0
                      errorText: null
                      error: null
                      custom: false
                    - name: null
                      property: version
                      controlType: INTEGER
                      mandatory: false
                      visible: false
                      value: 2
                      errorText: null
                      error: null
                      custom: false
                    - name: Receipt
                      property: verification.receiptAttachment
                      controlType: CONTENT_HOLDER
                      mandatory: false
                      visible: true
                      value: receiptAttachmentId
                      errorText: null
                      error: null
                      custom: false
                      data:
                        id: receiptAttachmentId
                        name: name of receiptAttachment
                    - name: Category
                      property: categoryId
                      controlType: LIST
                      mandatory: false
                      visible: true
                      value: null
                      errorText: null
                      error: null
                      custom: false
                      requiresUpdate: true
                      scannable: true
                      url: >-
                        /me/organizations/8ab28cb36ccde07d016ccdfb47d00216/expensetypes/ReceiptVerification/categories
                    - name: Expense report
                      property: expenseReportId
                      controlType: LIST
                      mandatory: false
                      visible: true
                      value: null
                      errorText: null
                      error: null
                      custom: false
                      url: >-
                        /expensereports?statuses=NORMAL,NEW&organizationId=8ab28cb36ccde07d016ccdfb47d00216
                    - name: Verification number
                      property: verification.verificationNumber
                      controlType: TEXT
                      mandatory: false
                      visible: true
                      value: null
                      errorText: null
                      error: null
                      custom: false
                      disabled: true
                    - name: Description
                      property: verification.description
                      controlType: TEXT
                      mandatory: false
                      visible: true
                      value: null
                      errorText: null
                      error: null
                      custom: false
                    - name: Date of purchase
                      property: verification.purchaseDate
                      controlType: DATE
                      mandatory: false
                      visible: true
                      value: '2019-09-30T14:33:26Z'
                      errorText: null
                      error: null
                      custom: false
                      requiresUpdate: true
                      scannable: true
                      allowFutureDate: false
                    - name: Payment method
                      property: verification.paymentTypeId
                      controlType: LIST
                      mandatory: true
                      visible: true
                      value: f433bd56f038486faeee6a5ddd5177f2
                      errorText: null
                      error: null
                      custom: false
                      url: >-
                        /me/organizations/8ab28cb36ccde07d016ccdfb47d00216/paymenttypes
                      data:
                        iconUrl: null
                        id: f433bd56f038486faeee6a5ddd5177f2
                        name: Payment
                        section: null
                    - name: Store
                      property: verification.storeName
                      controlType: TEXT
                      mandatory: false
                      visible: false
                      value: null
                      errorText: null
                      error: null
                      custom: false
                    - name: Amount incl. VAT
                      property: verification.amount
                      controlType: DOUBLE
                      mandatory: false
                      visible: true
                      value: null
                      errorText: null
                      error: null
                      custom: false
                      scannable: true
                    - name: Tip
                      property: verification.tip
                      controlType: DOUBLE
                      mandatory: false
                      visible: false
                      value: null
                      errorText: null
                      error: null
                      custom: false
                    - name: VAT
                      property: verification.taxAmount
                      controlType: DOUBLE
                      mandatory: false
                      visible: true
                      value: null
                      errorText: null
                      error: null
                      custom: false
                      scannable: true
                    - name: Currency
                      property: verification.currency
                      controlType: LIST
                      mandatory: true
                      visible: true
                      value: SEK
                      errorText: null
                      error: null
                      custom: false
                      requiresUpdate: true
                      scannable: true
                      url: >-
                        /me/organizations/8ab28cb36ccde07d016ccdfb47d00216/currencies
                      data:
                        iconUrl: null
                        id: SEK
                        name: Swedish Krona
                        section: null
                    - name: Exchange rate
                      property: verification.exchangeRate
                      controlType: DOUBLE
                      mandatory: false
                      visible: false
                      value: 1
                      errorText: null
                      error: null
                      custom: false
                    - name: Expense Level (not-changable)
                      property: 8ab28c4f70f773590170f7cda2ea08bc
                      controlType: LIST
                      mandatory: false
                      visible: false
                      value: null
                      errorText: null
                      error: null
                      custom: true
                      url: >-
                        /me/organizations/8ab28cb36ccde07d016ccdfb47d00216/lists/CUSTOM_DIMENSIONS_4f38a4cc3fe242d394058626523044c1_8ab28cb36ccde07d016ccdfb47d00216
                    - name: Employee dim
                      property: 8ab28c4f723887dd01723c5cae82020e
                      controlType: LIST
                      mandatory: false
                      visible: false
                      value: null
                      errorText: null
                      error: null
                      custom: true
                      url: >-
                        /me/organizations/8ab28cb36ccde07d016ccdfb47d00216/lists/CUSTOM_DIMENSIONS_d4c8684b75ff4026b69810c8d912aea4_8ab28cb36ccde07d016ccdfb47d00216
                    - name: Entertainment
                      property: verification.representation
                      controlType: FIELD_GROUP
                      mandatory: false
                      visible: false
                      value: null
                      errorText: null
                      error: null
                      custom: false
                      fields:
                        - name: Type
                          property: verification.representation.type
                          controlType: LIST
                          mandatory: false
                          visible: false
                          value: null
                          errorText: null
                          error: null
                          custom: false
                          requiresUpdate: true
                        - name: Included liquor/wine/strong beer
                          property: verification.representation.includesLiquor
                          controlType: SWITCH
                          mandatory: false
                          visible: false
                          value: null
                          errorText: null
                          error: null
                          custom: false
                        - name: Attach guest list
                          property: verification.representation.guestListAttached
                          controlType: SWITCH
                          mandatory: false
                          visible: false
                          value: false
                          errorText: null
                          error: null
                          custom: false
                          requiresUpdate: true
                        - name: Guests
                          property: verification.representation.guests
                          controlType: GUEST_LIST
                          mandatory: false
                          visible: false
                          value: []
                          errorText: null
                          error: null
                          custom: false
                        - name: Number of guests
                          property: verification.representation.numberOfGuests
                          controlType: INTEGER
                          mandatory: false
                          visible: false
                          value: null
                          errorText: null
                          error: null
                          custom: false
                        - name: Number of external guests
                          property: verification.representation.numberOfExternalGuests
                          controlType: INTEGER
                          mandatory: false
                          visible: false
                          value: null
                          errorText: null
                          error: null
                          custom: false
                        - name: Place
                          property: verification.representation.place
                          controlType: TEXT
                          mandatory: false
                          visible: false
                          value: null
                          errorText: null
                          error: null
                          custom: false
                        - name: Attached guest list
                          property: verification.representation.guestListAttachment
                          controlType: CONTENT_HOLDER
                          mandatory: true
                          visible: false
                          value: guestListAttachmentId
                          errorText: null
                          error: null
                          custom: false
                          data:
                            id: guestListAttachmentId
                            name: name of guestListAttachment
                      commands:
                        - text: Clear guests
                          confirmationRequired: true
                          confirmation: Are you sure you want to clear guests?
                          command: action=removeGuests
                        - text: Clear representation
                          confirmationRequired: true
                          confirmation: Are you sure you want to clear representation?
                          command: action=removeRepresentation
                    - name: Comment
                      property: verification.comment
                      controlType: MULTI_LINE_TEXT
                      mandatory: false
                      visible: true
                      value: Some comment
                      errorText: null
                      error: null
                      custom: false
                    - name: Card transaction
                      property: verification.cardTransaction
                      controlType: TEXT
                      mandatory: false
                      visible: true
                      value: Some id
                      errorText: null
                      error: null
                      custom: false
                      disabled: true
                    - name: Attachments
                      property: verification.attachments
                      controlType: CONTENT_HOLDER
                      mandatory: false
                      visible: true
                      value:
                        - id1
                        - id2
                      errorText: null
                      error: null
                      custom: false
                      disabled: false
                      data:
                        - id: id1
                          name: name of attachment with id1
                        - id: id2
                          name: name of attachment with id2
              Car specification:
                value:
                  fields:
                    - name: Id
                      property: id
                      controlType: TEXT
                      mandatory: false
                      visible: false
                      value: aba39b91c2c6407190cc69f2b0f5d41a
                      errorText: null
                      error: null
                      custom: false
                    - name: null
                      property: version
                      controlType: INTEGER
                      mandatory: false
                      visible: false
                      value: 2
                      errorText: null
                      error: null
                      custom: false
                    - name: Category
                      property: categoryId
                      controlType: LIST
                      mandatory: false
                      visible: true
                      value: b219079277d14c77a0c85497504cf90b
                      errorText: null
                      error: null
                      custom: false
                      requiresUpdate: true
                      url: >-
                        /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/expensetypes/CarSpecification/categories
                      data:
                        iconUrl: >-
                          https://stage-expense.findity.com/api/resources/8a49a1b359cbfe2a0159d565c056013a
                        id: b219079277d14c77a0c85497504cf90b
                        name: Milersättning
                        section: 5
                    - name: Comment
                      property: verification.comment
                      controlType: MULTI_LINE_TEXT
                      mandatory: false
                      visible: true
                      value: null
                      errorText: null
                      error: null
                      custom: false
                    - name: Expense report
                      property: expenseReportId
                      controlType: LIST
                      mandatory: false
                      visible: true
                      value: null
                      errorText: null
                      error: null
                      custom: false
                      url: >-
                        /expensereports?statuses=NORMAL,NEW&organizationId=8ab28c4f6fd37d39016fd6fee0470003
                    - name: Travel date
                      property: verification.travelDate
                      controlType: DATE_TIME
                      mandatory: false
                      visible: true
                      value: '2024-01-05T12:46:11Z'
                      errorText: null
                      error: null
                      custom: false
                      allowFutureDate: false
                    - name: Destination
                      property: verification.destination
                      controlType: TEXT
                      mandatory: false
                      visible: false
                      value: Stockholm, Sweden - Ludvika, Sweden
                      errorText: null
                      error: null
                      custom: false
                    - name: Vehicle type
                      property: verification.carType
                      controlType: LIST
                      mandatory: true
                      visible: true
                      value: PRIVATE_CAR
                      errorText: null
                      error: null
                      custom: false
                      url: >-
                        /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/categories/b219079277d14c77a0c85497504cf90b/cartypes
                      data:
                        iconUrl: null
                        id: PRIVATE_CAR
                        name: Private car
                        section: null
                    - name: Route
                      property: verification.travelRoute
                      controlType: FIELD_GROUP
                      mandatory: false
                      visible: true
                      value: null
                      errorText: null
                      error: null
                      custom: false
                      requiresUpdate: true
                      fields:
                        - name: Manually enter distance
                          property: verification.manualDistance
                          controlType: SWITCH
                          mandatory: false
                          visible: true
                          value: false
                          errorText: null
                          error: null
                          custom: false
                          requiresUpdate: true
                        - name: Fleet managemnet trips
                          property: verification.fleetManagementTripIds
                          controlType: LIST
                          mandatory: false
                          visible: true
                          value: null
                          url: >-
                            /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/categories/b219079277d14c77a0c85497504cf90b/fleetmanagementtrips
                          requiresUpdate: true
                          multiSelect: true
                        - name: Route
                          property: verification.route
                          controlType: MILEAGE_ROUTE
                          mandatory: false
                          visible: true
                          value:
                            - latitude: '59.3293481'
                              longitude: '18.0682306'
                              place: Stockholm, Sweden
                            - latitude: '60.1523510'
                              longitude: '15.1919879'
                              place: Ludvika, Sweden
                          errorText: null
                          error: null
                          custom: false
                        - name: Distance
                          property: verification.distance
                          controlType: DOUBLE
                          mandatory: false
                          visible: false
                          value: 434
                          errorText: null
                          error: null
                          custom: false
                        - name: Distance with transport
                          property: verification.distanceInTransport
                          controlType: DOUBLE
                          mandatory: false
                          visible: false
                          value: 0
                          errorText: null
                          error: null
                          custom: false
                        - name: Distance on gravel
                          property: verification.distanceOnGravel
                          controlType: DOUBLE
                          mandatory: false
                          visible: false
                          value: null
                          errorText: null
                          error: null
                          custom: false
                        - name: Distance with caravan
                          property: verification.distanceWithCaravan
                          controlType: DOUBLE
                          mandatory: false
                          visible: false
                          value: null
                          errorText: null
                          error: null
                          custom: false
                        - name: Distance with dog
                          property: verification.distanceWithDog
                          controlType: DOUBLE
                          mandatory: false
                          visible: false
                          value: null
                          errorText: null
                          error: null
                          custom: false
                        - name: Distance with heavy caravan
                          property: verification.distanceWithHeavyCaravan
                          controlType: DOUBLE
                          mandatory: false
                          visible: false
                          value: null
                          errorText: null
                          error: null
                          custom: false
                        - name: Distance with trailer
                          property: verification.distanceWithTrailer
                          controlType: DOUBLE
                          mandatory: false
                          visible: false
                          value: null
                          errorText: null
                          error: null
                          custom: false
                        - name: Road toll
                          property: verification.tollCost
                          controlType: DOUBLE
                          mandatory: false
                          visible: false
                          value: null
                          errorText: null
                          error: null
                          custom: false
                        - name: Number of extra passengers
                          property: verification.numberOfPassengers
                          controlType: INTEGER
                          mandatory: false
                          visible: false
                          value: 0
                          errorText: null
                          error: null
                          custom: false
                        - name: Round trip
                          property: verification.roundTrip
                          controlType: SWITCH
                          mandatory: false
                          visible: true
                          value: true
                          errorText: null
                          error: null
                          custom: false
                          requiresUpdate: true
                        - name: null
                          property: verification.fuelType
                          controlType: TEXT
                          mandatory: false
                          visible: true
                          value: null
                          errorText: null
                          error: null
                          custom: false
                          requiresUpdate: true
                        - name: null
                          property: verification.bompeng
                          controlType: TEXT
                          mandatory: false
                          visible: true
                          value: null
                          errorText: null
                          error: null
                          custom: false
                          requiresUpdate: true
                        - name: null
                          property: verification.travelTime
                          controlType: TEXT
                          mandatory: false
                          visible: true
                          value: null
                          errorText: null
                          error: null
                          custom: false
                          requiresUpdate: true
                        - name: null
                          property: virtual.mileageMap
                          controlType: TEXT
                          mandatory: false
                          visible: false
                          value: >-
                            https://stage-expense.findity.com/api/resources/ff8080818cd9867f018cd9aa1a6c0004
                          errorText: null
                          error: null
                          custom: false
                        - name: null
                          property: virtual.mileageMapChecksum
                          controlType: TEXT
                          mandatory: false
                          visible: false
                          value: e04fddb94af4d9da0b6c6886270ffcf0b90fe866
                          errorText: null
                          error: null
                          custom: false
                        - name: null
                          property: virtual.mileageCoordinatePoints
                          controlType: TEXT
                          mandatory: false
                          visible: false
                          value: >-
                            mwbiJm}gmBcDo@c@tHuBhH~A|JbCvM|BdOeBbYmOnPoQzTkHbv@oPngA}QzKyIgGcMmUsUqv@cHwE{JjJyYvp@wXpZeT`[wXnHoXpKud@th@uh@bq@}bAtkCk[pr@|Nn~AxL~_@lTzRnSdMvF`TgAtWoPfj@e_@x_C}PbfDoNdbAoYjlAwYzc@uSzJwjAzVyf@dYooA~_@sc@t^ce@po@sp@nl@__@`o@gWf|@ko@dmDoHrcAwQln@iv@fkAgi@|v@s[d{@}LlnAgAvnA{Dtp@mTtpAyi@hdBk\~gBeZhsAuh@reAih@l{Aqb@zcAut@fkB_`BdjE_i@pxA{k@|cDuWxeAaLjcB}G~zAsZ`pB_t@l{Bk]fsAy_@vv@y`@bu@eN~|@aSfoEiTxeEcJ~pDkZv~CoJpvBiFxtDyXtoDwCtdCeJloCkSdkDoVjpD_@|y@`Mj`Avp@pfB~DzfAoFlw@qPheDsF|{BfGts@vVhgAxUfkArFl{@qDveCiEteBhA~yArM|wAlh@x{Dre@nkBdSheCyIviEkCrrD~BvvK~[bkCvk@j|Bf]vcBfBhs@mHp|@eWv}CyMzh@{P~Z}PfvAmU~XaDbk@zJfiBta@jxAtUlmCbGlyAyMbZwe@pw@ae@lqA}k@tpAgl@j|@w[bvAcDvX}PvcB}VhkAq[h{@mMt`@qNpp@qd@`_GqQprA_c@jfBif@`_B_Q|j@q`@jw@qTjQsf@dKmh@~Hs`@dQc}@lp@k_@dVei@fOwwApWo^z_@}XfkAuI|oCmNbqA{Tnx@qZpi@eb@p]c{AnQa^jEco@v[oL|KsWd]sUnd@u_@poAk}@xyDqtArvDiX~i@mh@ld@at@b]si@dXg[de@gTbo@eYzb@uXda@ah@zyBocAvqAia@~aAgaAr~A{p@~aBse@p`BcUpn@kb@zoCnAl|@aGhnAgc@fcAs^~r@{e@|Nm_ArjAcc@hm@wf@b}AoFzG`AfIdKlr@l\fl@jt@~wBjSna@yAn[t@vkAa@pjAmK~eA{{@jeDmk@laBqm@pjAiu@jy@ud@hw@soBvsF_vAlrEcf@p]{d@tmAyShU{ZrPgm@le@ic@vXkt@hXkr@bn@aXrc@kLhl@qPdnA}c@b}@{Yb[qVrk@aXtp@aSpP{ZnZiQ|a@c[vaB{D|jAjDlm@nHjrA_DxcAuN|d@w[rk@mJ|l@iGrzAw@lgC}GvcAlLvnBHbtAyJ~p@aQ|XcFd[qQ~_BySbrAoTpw@{AneBbVp|@xJpTlGtj@kJtnAgK`t@h@lO
                          errorText: null
                          error: null
                          custom: false
                      commands:
                        - text: Clear travel route
                          confirmationRequired: true
                          confirmation: Are you sure you want to clear travel route?
                          command: action=removeTravelRoute
                    - name: Cost center
                      property: 8ab28c4e7337c2910173549217a50afc
                      controlType: LIST
                      mandatory: false
                      visible: true
                      value: KST2
                      errorText: null
                      error: null
                      custom: true
                      url: >-
                        /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/lists/CUSTOM_DIMENSIONS_0ddeefef621049ee85ad921ab7f199a6_8ab28c4f6fd37d39016fd6fee0470003
                      data:
                        iconUrl: null
                        id: KST2
                        name: KST 2
                        section: null
                    - name: Life PI
                      property: 8ab28c4e7e4488d2017e488f5eb5037c
                      controlType: LIST
                      mandatory: false
                      visible: true
                      value: null
                      errorText: null
                      error: null
                      custom: true
                      url: >-
                        /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/lists/CUSTOM_DIMENSIONS_5cec3d801370455cae41c9e16d551f45_8ab28c4f6fd37d39016fd6fee0470003
                    - name: Project
                      property: 8ab28c4f7337c45f017354921a4646a0
                      controlType: LIST
                      mandatory: false
                      visible: true
                      value: PRJ2
                      errorText: null
                      error: null
                      custom: true
                      url: >-
                        /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/lists/CUSTOM_DIMENSIONS_2f60063da17241028d85e530a319efb1_8ab28c4f6fd37d39016fd6fee0470003
                      data:
                        iconUrl: null
                        id: PRJ2
                        name: PRJ 2
                        section: null
                    - name: Attachments
                      property: verification.attachments
                      controlType: CONTENT_HOLDER
                      mandatory: false
                      visible: true
                      value:
                        - id1
                        - id2
                      errorText: null
                      error: null
                      custom: false
                      disabled: false
                      data:
                        - id: id1
                          name: name of attachment with id1
                        - id: id2
                          name: name of attachment with id2
              Subsistence allowance/Per diem (domestic):
                value:
                  fields:
                    - name: Id
                      property: id
                      controlType: TEXT
                      mandatory: 'false'
                      visible: 'false'
                      value: 083c9102d158460482fd4e9806e69623
                      errorText: null
                      error: null
                      custom: 'false'
                    - name: null
                      property: version
                      controlType: INTEGER
                      mandatory: 'false'
                      visible: 'false'
                      value: 2
                      errorText: null
                      error: null
                      custom: 'false'
                    - name: null
                      property: rejectionComment
                      controlType: INFORMATION
                      mandatory: 'false'
                      visible: 'false'
                      value: null
                      errorText: null
                      error: null
                      custom: 'false'
                      dismissible: 'false'
                      informationType: ERROR
                    - name: null
                      property: status
                      controlType: TEXT
                      mandatory: 'false'
                      visible: 'false'
                      value: NORMAL
                      errorText: null
                      error: null
                      custom: 'false'
                    - name: null
                      property: reportStatus
                      controlType: TEXT
                      mandatory: 'false'
                      visible: 'false'
                      value: null
                      errorText: null
                      error: null
                      custom: 'false'
                    - name: null
                      property: reportId
                      controlType: TEXT
                      mandatory: 'false'
                      visible: 'false'
                      value: null
                      errorText: null
                      error: null
                      custom: 'false'
                    - name: null
                      property: reportType
                      controlType: TEXT
                      mandatory: 'false'
                      visible: 'false'
                      value: null
                      errorText: null
                      error: null
                      custom: 'false'
                    - name: Category
                      property: categoryId
                      controlType: LIST
                      mandatory: 'false'
                      visible: 'true'
                      value: 2227e3cff2ea431aaed7d4299c29b4b2
                      errorText: null
                      error: null
                      custom: 'false'
                      requiresUpdate: 'true'
                      url: >-
                        /me/organizations/8ab28c4e8db29412018dbc4d740f04f3/expensetypes/SubsistenceAllowance/categories
                      data:
                        iconUrl: >-
                          https://expense.findity.com/api/resources/8ab28c5088104f7401881e96b87e02e0
                        id: 2227e3cff2ea431aaed7d4299c29b4b2
                        name: Domestic SE
                        section: '4'
                    - name: Expense report
                      property: expenseReportId
                      controlType: LIST
                      mandatory: 'false'
                      visible: 'true'
                      value: null
                      errorText: null
                      error: null
                      custom: 'false'
                      url: >-
                        /expensereports?statuses=NORMAL,NEW&organizationId=8ab28c4e8db29412018dbc4d740f04f3
                    - name: Description
                      property: verification.description
                      controlType: TEXT
                      mandatory: 'false'
                      visible: 'true'
                      value: Domesticated
                      errorText: null
                      error: null
                      custom: 'false'
                    - name: Picard text
                      property: 24e2786b7b854cebbd6a73b8b79d98fe
                      controlType: TEXT
                      mandatory: 'false'
                      visible: 'true'
                      value: Text, text, text
                      errorText: null
                      error: null
                      custom: 'true'
                    - name: Picard searchable
                      property: bae8e73c047145c5b969c2a8c4c3fede
                      controlType: LIST
                      mandatory: 'false'
                      visible: 'true'
                      value: S1
                      errorText: null
                      error: null
                      custom: 'true'
                      url: >-
                        /me/organizations/8ab28c4e8db29412018dbc4d740f04f3/lists/CUSTOM_DIMENSIONS_2d3d65637ca64d25823ffd942f8f73c5_8ab28c4e8db29412018dbc4d740f04f3
                      data:
                        iconUrl: null
                        id: S1
                        name: Searchable list value 1
                        section: null
                    - name: Picard list
                      property: ca420d544e064e96abe946933816d17a
                      controlType: LIST
                      mandatory: 'false'
                      visible: 'true'
                      value: L1
                      errorText: null
                      error: null
                      custom: 'true'
                      url: >-
                        /me/organizations/8ab28c4e8db29412018dbc4d740f04f3/lists/CUSTOM_DIMENSIONS_440e454cf72743b4816d578d8108cfac_8ab28c4e8db29412018dbc4d740f04f3
                      data:
                        iconUrl: null
                        id: L1
                        name: List value 1
                        section: null
                    - name: Picard preset list
                      property: f49ec2adf20c49af84748318b8a8600e
                      controlType: LIST
                      mandatory: 'false'
                      visible: 'false'
                      value: Domestic
                      errorText: null
                      error: null
                      custom: 'true'
                      url: >-
                        /me/organizations/8ab28c4e8db29412018dbc4d740f04f3/lists/CUSTOM_DIMENSIONS_27ea1fb73aac4db9be6ddc758f588e1a_8ab28c4e8db29412018dbc4d740f04f3
                      data:
                        iconUrl: null
                        id: Domestic
                        name: Domestic per diem
                        section: null
                    - name: Travel route
                      property: verification.specifications
                      controlType: FIELD_GROUP
                      mandatory: 'false'
                      visible: 'true'
                      value: null
                      errorText: null
                      error: null
                      custom: 'false'
                      requiresUpdate: 'true'
                      fields:
                        - name: Id
                          property: verification.specifications[1].id
                          controlType: TEXT
                          mandatory: 'false'
                          visible: 'false'
                          value: 61158c06b6a54fd389bf1988f2304ad6
                          errorText: null
                          error: null
                          custom: 'false'
                        - name: Destination
                          property: verification.specifications[1].destination
                          controlType: LIST
                          mandatory: 'false'
                          visible: 'false'
                          value: 2b9fbaa2630511e18824b0dd45bff075
                          errorText: null
                          error: null
                          custom: 'false'
                          url: >-
                            /me/organizations/8ab28c4e8db29412018dbc4d740f04f3/expensetypes/SubsistenceAllowance/destinations
                          data:
                            iconUrl: null
                            id: 2b9fbaa2630511e18824b0dd45bff075
                            name: Sweden
                            section: null
                        - name: Travel day
                          property: verification.specifications[1].date1
                          controlType: LOCAL_DATE_TIME
                          mandatory: 'false'
                          visible: 'true'
                          value: 2024-05-01 15:58
                          errorText: null
                          error: null
                          custom: 'false'
                          requiresUpdate: 'true'
                        - name: null
                          property: verification.specifications[1].date2
                          controlType: LOCAL_DATE_TIME
                          mandatory: 'false'
                          visible: 'false'
                          value: null
                          errorText: null
                          error: null
                          custom: 'false'
                        - name: Id
                          property: verification.specifications[2].id
                          controlType: TEXT
                          mandatory: 'false'
                          visible: 'false'
                          value: 9fcfe50caed0433e9a7723944dcd9d94
                          errorText: null
                          error: null
                          custom: 'false'
                        - name: Destination
                          property: verification.specifications[2].destination
                          controlType: LIST
                          mandatory: 'false'
                          visible: 'false'
                          value: 2b9fbaa2630511e18824b0dd45bff075
                          errorText: null
                          error: null
                          custom: 'false'
                          url: >-
                            /me/organizations/8ab28c4e8db29412018dbc4d740f04f3/expensetypes/SubsistenceAllowance/destinations
                          data:
                            iconUrl: null
                            id: 2b9fbaa2630511e18824b0dd45bff075
                            name: Sweden
                            section: null
                        - name: null
                          property: verification.specifications[2].date1
                          controlType: LOCAL_DATE_TIME
                          mandatory: 'false'
                          visible: 'false'
                          value: null
                          errorText: null
                          error: null
                          custom: 'false'
                        - name: Travel ended
                          property: verification.specifications[2].date2
                          controlType: LOCAL_DATE_TIME
                          mandatory: 'false'
                          visible: 'true'
                          value: 2024-05-02 17:58
                          errorText: null
                          error: null
                          custom: 'false'
                          requiresUpdate: 'true'
                      commands: null
                    - name: Food and accommodation
                      property: verification.deductionAndAccommodation
                      controlType: FIELD_GROUP
                      mandatory: 'false'
                      visible: 'true'
                      value: null
                      errorText: null
                      error: null
                      custom: 'false'
                      accessorIconUrl: >-
                        https://expense.findity.com/api/images/icons/more-horizontal.svg
                      accessorText: Food and accommodation
                      fields:
                        - name: null
                          property: >-
                            verification.deductionAndAccommodation.informationLabel
                          controlType: INFORMATION
                          mandatory: 'false'
                          visible: 'true'
                          value: Select the expenses that your company paid for
                          errorText: null
                          error: null
                          custom: 'false'
                          dismissible: 'false'
                          informationType: NORMAL
                        - name: '2024-05-01'
                          property: verification.deductionAndAccommodation[0]
                          controlType: FIELD_GROUP
                          mandatory: 'false'
                          visible: 'true'
                          value: null
                          errorText: null
                          error: null
                          custom: 'false'
                          fields:
                            - name: null
                              property: verification.deduction[0].date
                              controlType: TEXT
                              mandatory: 'false'
                              visible: 'false'
                              value: '2024-05-01'
                              errorText: null
                              error: null
                              custom: 'false'
                            - name: Breakfast
                              property: verification.deduction[0].breakfast
                              controlType: LIST
                              mandatory: 'false'
                              visible: 'true'
                              value: NONE
                              errorText: null
                              error: null
                              custom: 'false'
                              url: >-
                                /me/organizations/8ab28c4e8db29412018dbc4d740f04f3/categories/2227e3cff2ea431aaed7d4299c29b4b2/deductiontypes?type=breakfast
                              data:
                                iconUrl: null
                                id: NONE
                                name: None
                                section: null
                            - name: Lunch
                              property: verification.deduction[0].lunch
                              controlType: LIST
                              mandatory: 'false'
                              visible: 'true'
                              value: FOOD_IN_REPRESENTATION
                              errorText: null
                              error: null
                              custom: 'false'
                              url: >-
                                /me/organizations/8ab28c4e8db29412018dbc4d740f04f3/categories/2227e3cff2ea431aaed7d4299c29b4b2/deductiontypes?type=lunch
                              data:
                                iconUrl: null
                                id: FOOD_IN_REPRESENTATION
                                name: Entertainment (offered/received)
                                section: null
                            - name: Dinner
                              property: verification.deduction[0].dinner
                              controlType: LIST
                              mandatory: 'false'
                              visible: 'true'
                              value: FOOD_BENEFITS
                              errorText: null
                              error: null
                              custom: 'false'
                              url: >-
                                /me/organizations/8ab28c4e8db29412018dbc4d740f04f3/categories/2227e3cff2ea431aaed7d4299c29b4b2/deductiontypes?type=dinner
                              data:
                                iconUrl: null
                                id: FOOD_BENEFITS
                                name: Meal benefits
                                section: null
                            - name: Accommodation
                              property: verification.accommodation[0].accommodation
                              controlType: SWITCH
                              mandatory: 'false'
                              visible: 'true'
                              value: 'false'
                              errorText: null
                              error: null
                              custom: 'false'
                          commands: null
                        - name: '2024-05-02'
                          property: verification.deductionAndAccommodation[1]
                          controlType: FIELD_GROUP
                          mandatory: 'false'
                          visible: 'true'
                          value: null
                          errorText: null
                          error: null
                          custom: 'false'
                          fields:
                            - name: null
                              property: verification.deduction[1].date
                              controlType: TEXT
                              mandatory: 'false'
                              visible: 'false'
                              value: '2024-05-02'
                              errorText: null
                              error: null
                              custom: 'false'
                            - name: Breakfast
                              property: verification.deduction[1].breakfast
                              controlType: LIST
                              mandatory: 'false'
                              visible: 'true'
                              value: BREAKFAST_IN_HOTEL
                              errorText: null
                              error: null
                              custom: 'false'
                              url: >-
                                /me/organizations/8ab28c4e8db29412018dbc4d740f04f3/categories/2227e3cff2ea431aaed7d4299c29b4b2/deductiontypes?type=breakfast
                              data:
                                iconUrl: null
                                id: BREAKFAST_IN_HOTEL
                                name: Included in accommodation
                                section: null
                            - name: Lunch
                              property: verification.deduction[1].lunch
                              controlType: LIST
                              mandatory: 'false'
                              visible: 'true'
                              value: FOOD_IN_TICKET
                              errorText: null
                              error: null
                              custom: 'false'
                              url: >-
                                /me/organizations/8ab28c4e8db29412018dbc4d740f04f3/categories/2227e3cff2ea431aaed7d4299c29b4b2/deductiontypes?type=lunch
                              data:
                                iconUrl: null
                                id: FOOD_IN_TICKET
                                name: Included in ticket price
                                section: null
                            - name: Dinner
                              property: verification.deduction[1].dinner
                              controlType: LIST
                              mandatory: 'false'
                              visible: 'true'
                              value: NONE
                              errorText: null
                              error: null
                              custom: 'false'
                              url: >-
                                /me/organizations/8ab28c4e8db29412018dbc4d740f04f3/categories/2227e3cff2ea431aaed7d4299c29b4b2/deductiontypes?type=dinner
                              data:
                                iconUrl: null
                                id: NONE
                                name: None
                                section: null
                          commands: null
                      summary:
                        - type: property_value
                          value: '2024-05-01'
                          property: Day
                        - type: property_value
                          value: None
                          property: Breakfast
                        - type: property_value
                          value: Entertainment (offered/received)
                          property: Lunch
                        - type: property_value
                          value: Meal benefits
                          property: Dinner
                        - type: property_value
                          value: 'No'
                          property: Accommodation
                        - type: separator
                        - type: property_value
                          value: '2024-05-02'
                          property: Day
                        - type: property_value
                          value: Included in accommodation
                          property: Breakfast
                        - type: property_value
                          value: Included in ticket price
                          property: Lunch
                        - type: property_value
                          value: None
                          property: Dinner
                      commands: null
                  meta:
                    capabilities:
                      canBeAddedToReport: true
                      canBeDeleted: true
                      canBeEdited: true
                      canBeSentIn: false
                      canBeSplit: false
                      canBeMerged: false
                    summary:
                      - type: property_value
                        value: Dimesion User1
                        property: person
                      - type: property_value
                        value: SubsistenceAllowance
                        property: expenseType
                      - type: property_value
                        value: Per diem
                        property: expenseTypeDescription
                      - type: property_value
                        property: amount
                      - type: property_value
                        value: Normal
                        property: status
                  splits: null
              Subsistence allowance/Per diem (international):
                value:
                  fields:
                    - name: Id
                      property: id
                      controlType: TEXT
                      mandatory: false
                      visible: false
                      value: b1643482bb574c109cad51aa25562b10
                      errorText: null
                      error: null
                      custom: false
                    - name: null
                      property: version
                      controlType: INTEGER
                      mandatory: false
                      visible: false
                      value: 2
                      errorText: null
                      error: null
                      custom: false
                    - name: Category
                      property: categoryId
                      controlType: LIST
                      mandatory: false
                      visible: true
                      value: fad615ab023c4972a14877b2cd89efae
                      errorText: null
                      error: null
                      custom: false
                      requiresUpdate: true
                      scannable: true
                      url: >-
                        /me/organizations/8ab28c4e70f724f00170f75d14720032/expensetypes/SubsistenceAllowance/categories
                      data:
                        iconUrl: >-
                          https://expense.findity.com/api/resources/8a49a1b359cbfe2a0159d5637a4400d9
                        id: fad615ab023c4972a14877b2cd89efae
                        name: Utrikes
                        section: 4
                    - name: Expense report
                      property: expenseReportId
                      controlType: LIST
                      mandatory: false
                      visible: true
                      value: null
                      errorText: null
                      error: null
                      custom: false
                      url: >-
                        /expensereports?statuses=NORMAL,NEW&organizationId=8ab28c4e70f724f00170f75d14720032
                    - name: Description
                      property: verification.description
                      controlType: TEXT
                      mandatory: false
                      visible: true
                      value: International Allowance
                      errorText: null
                      error: null
                      custom: false
                    - name: Travel route
                      property: verification.specifications
                      controlType: FIELD_GROUP
                      mandatory: false
                      visible: true
                      value: null
                      errorText: null
                      error: null
                      custom: false
                      requiresUpdate: true
                      accessorIconUrl: >-
                        https://expense.findity.com/api/images/icons/more-horizontal.svg
                      accessorText: Travel route
                      fields:
                        - name: The journey began in home country
                          property: verification.specifications[0].date1
                          controlType: LOCAL_DATE_TIME
                          mandatory: false
                          visible: true
                          value: 2024-02-01 07:00
                          errorText: null
                          error: null
                          custom: false
                        - name: Aircraft departed or the country was left
                          property: verification.specifications[0].date2
                          controlType: LOCAL_DATE_TIME
                          mandatory: false
                          visible: true
                          value: 2024-02-01 09:00
                          errorText: null
                          error: null
                          custom: false
                        - name: null
                          property: verification.specifications[1]
                          controlType: FIELD_GROUP
                          mandatory: false
                          visible: true
                          value: null
                          errorText: null
                          error: null
                          custom: false
                          requiresUpdate: true
                          fields:
                            - name: Destination
                              property: verification.specifications[1].destination
                              controlType: LIST
                              mandatory: false
                              visible: true
                              value: 2b9fb1ba630511e18824b0dd45bff075
                              errorText: null
                              error: null
                              custom: false
                              requiresUpdate: true
                              url: >-
                                /me/organizations/8ab28c4e70f724f00170f75d14720032/expensetypes/SubsistenceAllowance/destinations
                              data:
                                iconUrl: null
                                id: 2b9fb1ba630511e18824b0dd45bff075
                                name: Finland
                                section: null
                            - name: Arrival in destination country
                              property: verification.specifications[1].date1
                              controlType: LOCAL_DATE_TIME
                              mandatory: false
                              visible: true
                              value: 2024-02-01 15:00
                              errorText: null
                              error: null
                              custom: false
                            - name: Departure from the country of destination
                              property: verification.specifications[1].date2
                              controlType: LOCAL_DATE_TIME
                              mandatory: false
                              visible: true
                              value: 2024-02-04 17:00
                              errorText: null
                              error: null
                              custom: false
                          commands: null
                          deletable: true
                          deleteCommand:
                            command: action=removeStop&atIndex=1
                            confirmation: Are you sure you want to remove this stop?
                            confirmationRequired: true
                            text: Remove stop
                        - name: null
                          property: verification.specifications[2]
                          controlType: FIELD_GROUP
                          mandatory: false
                          visible: true
                          value: null
                          errorText: null
                          error: null
                          custom: false
                          requiresUpdate: true
                          fields:
                            - name: Destination
                              property: verification.specifications[2].destination
                              controlType: LIST
                              mandatory: false
                              visible: true
                              value: null
                              errorText: null
                              error: null
                              custom: false
                              requiresUpdate: true
                              url: >-
                                /me/organizations/8ab28c4e70f724f00170f75d14720032/expensetypes/SubsistenceAllowance/destinations
                            - name: Arrival in destination country
                              property: verification.specifications[2].date1
                              controlType: LOCAL_DATE_TIME
                              mandatory: false
                              visible: true
                              value: null
                              errorText: null
                              error: null
                              custom: false
                            - name: Departure from the country of destination
                              property: verification.specifications[2].date2
                              controlType: LOCAL_DATE_TIME
                              mandatory: false
                              visible: true
                              value: null
                              errorText: null
                              error: null
                              custom: false
                          commands: null
                          deletable: true
                          deleteCommand:
                            command: action=removeStop&atIndex=2
                            confirmation: Are you sure you want to remove this stop?
                            confirmationRequired: true
                            text: Remove stop
                        - name: Add stop
                          property: verification.specifications.addStop
                          controlType: COMMAND
                          mandatory: false
                          visible: true
                          value: null
                          errorText: null
                          error: null
                          custom: false
                          requiresUpdate: true
                          commands:
                            - command: action=addStop&afterIndex=2
                              confirmation: null
                              confirmationRequired: false
                              text: null
                        - name: Arrival in home country
                          property: verification.specifications[3].date1
                          controlType: LOCAL_DATE_TIME
                          mandatory: false
                          visible: true
                          value: 2024-02-04 18:59
                          errorText: null
                          error: null
                          custom: false
                        - name: The trip ended, office or home
                          property: verification.specifications[3].date2
                          controlType: LOCAL_DATE_TIME
                          mandatory: false
                          visible: true
                          value: 2024-02-04 21:00
                          errorText: null
                          error: null
                          custom: false
                      summary:
                        - type: property_value
                          value: 2024-02-01 07:00
                          property: The journey began in home country
                        - type: property_value
                          value: 2024-02-01 09:00
                          property: Aircraft departed or the country was left
                        - type: separator
                          value: null
                          property: null
                        - type: property_value
                          value: 2024-02-01 15:00
                          property: Arrival in destination country
                        - type: property_value
                          value: 2024-02-04 17:00
                          property: Departure from the country of destination
                        - type: property_value
                          value: Finland
                          property: Destination
                        - type: separator
                          value: null
                          property: null
                        - type: property_value
                          value: 2024-02-04 18:59
                          property: Arrival in home country
                        - type: property_value
                          value: 2024-02-04 21:00
                          property: The trip ended, office or home
                        - type: separator
                          value: null
                          property: null
                      commands:
                        - command: action=clearAllRoutes
                          confirmation: Are you sure you want to clear all routes?
                          confirmationRequired: true
                          text: Clear travel route
                        - command: null
                          confirmation: null
                          confirmationRequired: false
                          text: Edit travel route
                    - name: Food and accommodation
                      property: verification.deductionAndAccommodation
                      controlType: FIELD_GROUP
                      mandatory: false
                      visible: true
                      value: null
                      errorText: null
                      error: null
                      custom: false
                      accessorIconUrl: >-
                        https://expense.findity.com/api/images/icons/more-horizontal.svg
                      accessorText: Food and accommodation
                      fields:
                        - name: Select the expenses that your company paid for
                          property: >-
                            verification.deductionAndAccommodation.informationLabel
                          controlType: INFORMATION
                          mandatory: false
                          visible: true
                          value: null
                          errorText: null
                          error: null
                          custom: false
                          dismissible: false
                          informationType: NORMAL
                        - name: '2024-02-01'
                          property: verification.deductionAndAccommodation[0]
                          controlType: FIELD_GROUP
                          mandatory: false
                          visible: true
                          value: null
                          errorText: null
                          error: null
                          custom: false
                          fields:
                            - name: Breakfast
                              property: verification.deduction[0].breakfast
                              controlType: LIST
                              mandatory: false
                              visible: true
                              value: PAID_YOURSELF
                              errorText: null
                              error: null
                              custom: false
                              url: >-
                                /me/organizations/8ab28c4e70f724f00170f75d14720032/categories/fad615ab023c4972a14877b2cd89efae/deductiontypes?type=breakfast
                            - name: Lunch
                              property: verification.deduction[0].lunch
                              controlType: LIST
                              mandatory: false
                              visible: true
                              value: PAID_YOURSELF
                              errorText: null
                              error: null
                              custom: false
                              url: >-
                                /me/organizations/8ab28c4e70f724f00170f75d14720032/categories/fad615ab023c4972a14877b2cd89efae/deductiontypes?type=lunch
                            - name: Dinner
                              property: verification.deduction[0].dinner
                              controlType: LIST
                              mandatory: false
                              visible: true
                              value: PAID_YOURSELF
                              errorText: null
                              error: null
                              custom: false
                              url: >-
                                /me/organizations/8ab28c4e70f724f00170f75d14720032/categories/fad615ab023c4972a14877b2cd89efae/deductiontypes?type=dinner
                            - name: Accommodation
                              property: verification.accommodation[0].accommodation
                              controlType: SWITCH
                              mandatory: false
                              visible: true
                              value: true
                              errorText: null
                              error: null
                              custom: false
                          commands: null
                        - name: '2024-02-02'
                          property: verification.deductionAndAccommodation[1]
                          controlType: FIELD_GROUP
                          mandatory: false
                          visible: true
                          value: null
                          errorText: null
                          error: null
                          custom: false
                          fields:
                            - name: Breakfast
                              property: verification.deduction[1].breakfast
                              controlType: LIST
                              mandatory: false
                              visible: true
                              value: PAID_YOURSELF
                              errorText: null
                              error: null
                              custom: false
                              url: >-
                                /me/organizations/8ab28c4e70f724f00170f75d14720032/categories/fad615ab023c4972a14877b2cd89efae/deductiontypes?type=breakfast
                            - name: Lunch
                              property: verification.deduction[1].lunch
                              controlType: LIST
                              mandatory: false
                              visible: true
                              value: FOOD_IN_REPRESENTATION
                              errorText: null
                              error: null
                              custom: false
                              url: >-
                                /me/organizations/8ab28c4e70f724f00170f75d14720032/categories/fad615ab023c4972a14877b2cd89efae/deductiontypes?type=lunch
                            - name: Dinner
                              property: verification.deduction[1].dinner
                              controlType: LIST
                              mandatory: false
                              visible: true
                              value: PAID_YOURSELF
                              errorText: null
                              error: null
                              custom: false
                              url: >-
                                /me/organizations/8ab28c4e70f724f00170f75d14720032/categories/fad615ab023c4972a14877b2cd89efae/deductiontypes?type=dinner
                            - name: Accommodation
                              property: verification.accommodation[1].accommodation
                              controlType: SWITCH
                              mandatory: false
                              visible: true
                              value: true
                              errorText: null
                              error: null
                              custom: false
                          commands: null
                        - name: '2024-02-03'
                          property: verification.deductionAndAccommodation[2]
                          controlType: FIELD_GROUP
                          mandatory: false
                          visible: true
                          value: null
                          errorText: null
                          error: null
                          custom: false
                          fields:
                            - name: Breakfast
                              property: verification.deduction[2].breakfast
                              controlType: LIST
                              mandatory: false
                              visible: true
                              value: BREAKFAST_IN_HOTEL
                              errorText: null
                              error: null
                              custom: false
                              url: >-
                                /me/organizations/8ab28c4e70f724f00170f75d14720032/categories/fad615ab023c4972a14877b2cd89efae/deductiontypes?type=breakfast
                            - name: Lunch
                              property: verification.deduction[2].lunch
                              controlType: LIST
                              mandatory: false
                              visible: true
                              value: FOOD_IN_REPRESENTATION
                              errorText: null
                              error: null
                              custom: false
                              url: >-
                                /me/organizations/8ab28c4e70f724f00170f75d14720032/categories/fad615ab023c4972a14877b2cd89efae/deductiontypes?type=lunch
                            - name: Dinner
                              property: verification.deduction[2].dinner
                              controlType: LIST
                              mandatory: false
                              visible: true
                              value: FOOD_BENEFITS
                              errorText: null
                              error: null
                              custom: false
                              url: >-
                                /me/organizations/8ab28c4e70f724f00170f75d14720032/categories/fad615ab023c4972a14877b2cd89efae/deductiontypes?type=dinner
                            - name: Accommodation
                              property: verification.accommodation[2].accommodation
                              controlType: SWITCH
                              mandatory: false
                              visible: true
                              value: true
                              errorText: null
                              error: null
                              custom: false
                          commands: null
                        - name: '2024-02-04'
                          property: verification.deductionAndAccommodation[3]
                          controlType: FIELD_GROUP
                          mandatory: false
                          visible: true
                          value: null
                          errorText: null
                          error: null
                          custom: false
                          fields:
                            - name: Breakfast
                              property: verification.deduction[3].breakfast
                              controlType: LIST
                              mandatory: false
                              visible: true
                              value: FOOD_IN_TICKET
                              errorText: null
                              error: null
                              custom: false
                              url: >-
                                /me/organizations/8ab28c4e70f724f00170f75d14720032/categories/fad615ab023c4972a14877b2cd89efae/deductiontypes?type=breakfast
                            - name: Lunch
                              property: verification.deduction[3].lunch
                              controlType: LIST
                              mandatory: false
                              visible: true
                              value: PAID_YOURSELF
                              errorText: null
                              error: null
                              custom: false
                              url: >-
                                /me/organizations/8ab28c4e70f724f00170f75d14720032/categories/fad615ab023c4972a14877b2cd89efae/deductiontypes?type=lunch
                            - name: Dinner
                              property: verification.deduction[3].dinner
                              controlType: LIST
                              mandatory: false
                              visible: true
                              value: PAID_YOURSELF
                              errorText: null
                              error: null
                              custom: false
                              url: >-
                                /me/organizations/8ab28c4e70f724f00170f75d14720032/categories/fad615ab023c4972a14877b2cd89efae/deductiontypes?type=dinner
                          commands: null
                      summary:
                        - type: property_value
                          value: Paid myself
                          property: Breakfast
                        - type: property_value
                          value: Paid myself
                          property: Lunch
                        - type: property_value
                          value: Paid myself
                          property: Dinner
                        - type: property_value
                          value: 'Yes'
                          property: Accommodation
                        - type: separator
                          value: null
                          property: null
                        - type: property_value
                          value: Paid myself
                          property: Breakfast
                        - type: property_value
                          value: Entertainment (offered/received)
                          property: Lunch
                        - type: property_value
                          value: Paid myself
                          property: Dinner
                        - type: property_value
                          value: 'Yes'
                          property: Accommodation
                        - type: separator
                          value: null
                          property: null
                        - type: property_value
                          value: Included in accommodation
                          property: Breakfast
                        - type: property_value
                          value: Entertainment (offered/received)
                          property: Lunch
                        - type: property_value
                          value: Meal benefits
                          property: Dinner
                        - type: property_value
                          value: 'Yes'
                          property: Accommodation
                        - type: separator
                          value: null
                          property: null
                        - type: property_value
                          value: Included in ticket price
                          property: Breakfast
                        - type: property_value
                          value: Paid myself
                          property: Lunch
                        - type: property_value
                          value: Paid myself
                          property: Dinner
                        - type: property_value
                          value: 'Yes'
                          property: Accommodation
                        - type: separator
                          value: null
                          property: null
                      commands: null
                  meta:
                    capabilities:
                      canBeAddedToReport: true
                      canBeDeleted: true
                      canBeSentIn: false
                      canBeSplit: false
                      canBeMerged: false
                    summary:
                      - type: property_value
                        value: SubsistenceAllowance
                        property: expenseType
                      - type: property_value
                        value: Subsistence allowance
                        property: expenseTypeDescription
                      - type: property_value
                        value: null
                        property: amount
                      - type: property_value
                        value: Normal
                        property: status
                  splits: null
              Food benefits:
                value:
                  fields:
                    - name: Id
                      property: id
                      controlType: TEXT
                      mandatory: false
                      visible: false
                      value: 99601cd0f6ba438cb16ca17b8edf25a0
                      errorText: null
                      error: null
                      custom: false
                    - name: null
                      property: version
                      controlType: INTEGER
                      mandatory: false
                      visible: false
                      value: 2
                      errorText: null
                      error: null
                      custom: false
                    - name: null
                      property: rejectionComment
                      controlType: INFORMATION
                      mandatory: false
                      visible: false
                      value: null
                      errorText: null
                      error: null
                      custom: false
                      dismissible: false
                      informationType: ERROR
                    - name: null
                      property: status
                      controlType: TEXT
                      mandatory: false
                      visible: false
                      value: null
                      errorText: null
                      error: null
                      custom: false
                    - name: null
                      property: reportStatus
                      controlType: TEXT
                      mandatory: false
                      visible: false
                      value: null
                      errorText: null
                      error: null
                      custom: false
                    - name: null
                      property: reportId
                      controlType: TEXT
                      mandatory: false
                      visible: false
                      value: null
                      errorText: null
                      error: null
                      custom: false
                    - name: null
                      property: reportType
                      controlType: TEXT
                      mandatory: false
                      visible: false
                      value: null
                      errorText: null
                      error: null
                      custom: false
                    - name: Category
                      property: categoryId
                      controlType: TEXT
                      mandatory: true
                      visible: false
                      value: null
                      errorText: null
                      error: null
                      custom: false
                    - name: Date
                      property: verification.validDate
                      controlType: DATE
                      mandatory: true
                      visible: true
                      value: '2025-04-17T09:35:36Z'
                      errorText: null
                      error: null
                      custom: false
                      allowFutureDate: false
                    - name: Description
                      property: verification.description
                      controlType: TEXT
                      mandatory: false
                      visible: true
                      value: my fancy pancy description
                      errorText: null
                      error: null
                      custom: false
                    - name: null
                      property: verification.mealsGroup
                      controlType: FIELD_GROUP
                      mandatory: true
                      visible: true
                      value: null
                      errorText: null
                      error: null
                      custom: false
                      fields:
                        - name: Breakfast
                          property: verification.breakfast
                          controlType: SWITCH
                          mandatory: true
                          visible: true
                          value: true
                          errorText: null
                          error: null
                          custom: false
                        - name: Lunch
                          property: verification.lunch
                          controlType: SWITCH
                          mandatory: true
                          visible: true
                          value: true
                          errorText: null
                          error: null
                          custom: false
                        - name: Dinner
                          property: verification.dinner
                          controlType: SWITCH
                          mandatory: true
                          visible: true
                          value: true
                          errorText: null
                          error: null
                          custom: false
                      commands: null
                      clientCommand: null
                    - name: Expense report
                      property: expenseReportId
                      controlType: LIST
                      mandatory: false
                      visible: true
                      value: null
                      errorText: null
                      error: null
                      custom: false
                      url: >-
                        /expensereports?processStatus=DRAFT&excludeCorporateCards=true&organizationId=ff80818196431a4d0196431a906400a7
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExpenseRecord'
              examples:
                Receipt verification:
                  value:
                    receiptVerification:
                      value:
                        organizationId: ff808181963de13701963de1789d00ad
                        version: 2
                        lastUpdated: '2025-04-16T09:15:09Z'
                        dateCreated: '2025-04-16T09:15:09Z'
                        processStatus: DRAFT
                        status: NORMAL
                        expenseDate: '2023-03-21T10:58:14Z'
                        personId: ff808181963de13701963de177e00083
                        id: 5ca0dfa6def943eab46d240d3680c323
                        reimbursementCurrency: SEK
                        categoryId: 9ed4618ae74e4f17b69005f699c104f3
                        verification:
                          amount: 230
                          purchaseDate: '2023-03-21T10:58:14Z'
                          attachments:
                            - name: attachments2
                              isTemporary: false
                              id: ff808181963e296501963e29ac6d00be
                              contentType: image/jpeg
                            - name: attachments1
                              isTemporary: false
                              id: ff808181963e296501963e29ac5e00bc
                              contentType: image/jpeg
                          customFields:
                            - fieldDefinitionId: 2b965c866b634698811dabf45a491089,
                              value: true
                            - fieldDefinitionId: 59ljgfau904t3qio3aw90up34gj9iog4,
                              value: string
                            - fieldDefinitionId: 904t3qio3aw90up34gj9iog45a491089,
                              value: 10
                          description: verification-description
                          type: ReceiptVerification
                          lastUpdated: '2025-04-16T09:15:09Z'
                          dateCreated: '2025-04-16T09:15:09Z'
                          paymentTypeId: ed0d98d4e3834714bbca45f889d4584b
                          exchangeRate: 1
                          verificationNumber: verification-number
                          comment: verification-comment
                          currency: SEK
                          taxAmount: 23
                          receiptAttachment:
                            name: file-name607803656
                            personId: ff808181963de13701963de177e00083
                            isTemporary: false
                            id: ff808181963de13701963de179b900b9
                            contentType: image/png
                    receiptVerification with representation including guest list:
                      value:
                        organizationId: ff808181963e1df601963e2657bf01ec
                        lastUpdated: '2025-04-16T10:30:22Z'
                        dateCreated: '2025-04-16T10:30:22Z'
                        processStatus: DRAFT
                        personId: ff808181963e1df601963e26577201c2
                        id: 043c3ef85bea4e118adabbba4c3d16bf
                        reimbursementCurrency: SEK
                        categoryId: e59971ac44b54f2480d449b0d84caee2
                        status: NORMAL
                        expenseDate: '2023-03-21T10:58:14Z'
                        verification:
                          amount: 230
                          purchaseDate: '2023-03-21T10:58:14Z'
                          attachments:
                            - name: attachments2
                              isTemporary: false
                              id: ff808181963e296501963e29ac6d00be
                              contentType: image/jpeg
                            - name: attachments1
                              isTemporary: false
                              id: ff808181963e296501963e29ac5e00bc
                              contentType: image/jpeg
                          customFields:
                            - fieldDefinitionId: 2b965c866b634698811dabf45a491089,
                              value: true
                          description: verification-description
                          type: ReceiptVerification
                          lastUpdated: '2025-04-16T10:30:22Z'
                          dateCreated: '2025-04-16T10:30:22Z'
                          paymentTypeId: 253b87a3555a4c9bb288338131d2d83b
                          exchangeRate: 1
                          verificationNumber: verification-number
                          comment: verification-comment
                          currency: SEK
                          taxAmount: 23
                          receiptAttachment:
                            name: file-name1011137852
                            personId: ff808181963e1df601963e26577201c2
                            isTemporary: false
                            id: ff808181963e1df601963e26582601f8
                            contentType: image/png
                          representation:
                            includesLiquor: false
                            numberOfExternalGuests: 1
                            guests: []
                            numberOfGuests: 1
                            type: LUNCH
                            guestListAttached: true
                            guestListAttachment:
                              name: file-name386996737
                              personId: ff808181963e1df601963e26577201c2
                              isTemporary: false
                              id: ff808181963e1df601963e26583101f9
                              contentType: application/pdf
                    receiptVerification with representation including attached guests:
                      value:
                        organizationId: ff808181963e1df601963e1f931f014b
                        lastUpdated: '2025-04-16T10:22:59Z'
                        dateCreated: '2025-04-16T10:22:59Z'
                        processStatus: DRAFT
                        personId: ff808181963e1df601963e1f92d30121
                        id: 7c50f82edb7747bdb84f038e535f1e7d
                        reimbursementCurrency: SEK
                        categoryId: ebde877306a94f66a9b0695c7c48a43d
                        status: NORMAL
                        expenseDate: '2023-03-21T10:58:14Z'
                        verification:
                          amount: 230
                          purchaseDate: '2023-03-21T10:58:14Z'
                          attachments:
                            - name: attachments2
                              isTemporary: false
                              id: ff808181963e296501963e29ac6d00be
                              contentType: image/jpeg
                            - name: attachments1
                              isTemporary: false
                              id: ff808181963e296501963e29ac5e00bc
                              contentType: image/jpeg
                          customFields:
                            - fieldDefinitionId: 058d2a973694413db017b9e340f15d2d
                              value: '2023-01-01T01:00:00Z'
                          description: verification-description
                          type: ReceiptVerification
                          lastUpdated: '2025-04-16T10:22:59Z'
                          dateCreated: '2025-04-16T10:22:59Z'
                          paymentTypeId: 1f4d4253c7c740c7ae055d840d25392a
                          exchangeRate: 1
                          verificationNumber: verification-number
                          comment: verification-comment
                          currency: SEK
                          taxAmount: 23
                          receiptAttachment:
                            name: file-name985238297
                            personId: ff808181963e1df601963e1f92d30121
                            isTemporary: false
                            id: ff808181963e1df601963e1f93810157
                            contentType: image/png
                          representation:
                            includesLiquor: false
                            numberOfExternalGuests: 1
                            type: LUNCH
                            guestListAttached: false
                            guests:
                              - name: Person 1
                                company: Company A
                              - name: Person 2
                                company: Company B
                Car specification:
                  value:
                    carSpecification:
                      value:
                        organizationId: ff808181963e39cc01963e3a14250058
                        lastUpdated: '2025-04-16T10:52:48Z'
                        dateCreated: '2025-04-16T10:52:48Z'
                        processStatus: DRAFT
                        personId: ff808181963e39cc01963e3a119f002d
                        id: 67c18882083149599859054bcebb4ca0
                        reimbursementCurrency: SEK
                        categoryId: ec15a0b27286484e8e211447ecbe7fe8
                        status: NORMAL
                        expenseDate: '2023-09-13T11:46:27Z'
                        verification:
                          carType: PRIVATE_CAR
                          travelDate: '2023-09-13T11:46:27Z'
                          manualDistance: false
                          id: 729b4232c8ae4b6b83536195d9941f95
                          roundTrip: false
                          distanceUnit: KM
                          passengers: []
                          distance: 218
[...]
